Debian Bug report logs - #616566
libconfig-model-itself-perl: Failing test t/itself.t

version graph

Package: src:libconfig-model-itself-perl; Maintainer for src:libconfig-model-itself-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>;

Reported by: Salvatore Bonaccorso <carnil@debian.org>

Date: Sat, 5 Mar 2011 16:48:01 UTC

Severity: serious

Found in version libconfig-model-itself-perl/1.222-1

Fixed in version libconfig-model-itself-perl/1.224-1

Done: Dominique Dumont <domi.dumont@free.fr>

Bug is archived. No further changes may be made.

Forwarded to https://rt.cpan.org/Public/Bug/Display.html?id=66455

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, carnil@debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#616566; Package src:libconfig-model-itself-perl. (Sat, 05 Mar 2011 16:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
New Bug report received and forwarded. Copy sent to carnil@debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sat, 05 Mar 2011 16:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libconfig-model-itself-perl: Failing test t/itself.t
Date: Sat, 05 Mar 2011 17:45:10 +0100
[Message part 1 (text/plain, inline)]
Source: libconfig-model-itself-perl
Version: 1.222-1
Severity: serious
Justification: FTBFS
User: debian-perl@lists.debian.org
Usertags: perl-ftbfs

Hi

libconfig-model-itself-perl 1.222-1 FTBFS:

> Configuration item 'MasterModel Source' has a wrong value:
>         Mandatory value is not defined
> # Looks like you planned 18 tests but ran 4.
> # Looks like your test exited with 2 just after 4.
> t/itself.t .................
> Dubious, test returned 2 (wstat 512, 0x200)
> Failed 14/18 subtests
> t/list_itself_structure.t .. ok
> t/load_write_itself.t ...... ok
> t/pod.t .................... ok
> t/release-pod-syntax.t ..... skipped: these tests are for release candidate testing
> 
> Test Summary Report
> -------------------
> t/itself.t               (Wstat: 512 Tests: 4 Failed: 0)
>   Non-zero exit status: 2
>   Parse errors: Bad plan.  You planned 18 tests but ran 4.
> Files=8, Tests=59, 38 wallclock secs ( 0.05 usr  0.02 sys + 23.94 cusr  0.30 csys = 24.31 CPU)
> Result: FAIL
> Failed 1/8 test programs. 0/59 subtests failed.
> dh_auto_test: perl Build test returned exit code 255

The full build log is attached.

Bests
Salvatore

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/8 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash
[libconfig-model-itself-perl_1.222-1_amd64.build (application/x-symlink, attachment)]

Set Bug forwarded-to-address to 'http://rt.cpan.org/Public/Bug/Display.html?id=RT::Client::REST::Ticket=HASH(0x9379030)'. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Mon, 07 Mar 2011 19:30:02 GMT) Full text and rfc822 format available.

Changed Bug forwarded-to-address to 'https://rt.cpan.org/Public/Bug/Display.html?id=66455' from 'http://rt.cpan.org/Public/Bug/Display.html?id=RT::Client::REST::Ticket=HASH(0x9379030)' Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Mon, 07 Mar 2011 20:36:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#616566; Package src:libconfig-model-itself-perl. (Tue, 08 Mar 2011 08:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominique Dumont <domi.dumont@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Tue, 08 Mar 2011 08:00:06 GMT) Full text and rfc822 format available.

Message #14 received at 616566@bugs.debian.org (full text, mbox):

From: Dominique Dumont <domi.dumont@free.fr>
To: Salvatore Bonaccorso <carnil@debian.org>, 616566@bugs.debian.org
Subject: Re: Bug#616566: libconfig-model-itself-perl: Failing test t/itself.t
Date: Tue, 8 Mar 2011 08:59:07 +0100
Le samedi 5 mars 2011 17:45:10, Salvatore Bonaccorso a écrit :
> libconfig-model-itself-perl 1.222-1 FTBFS:

Ack. I've tightened some screws in Config::Model. Hence the test failure.

This is already fixed in upstream's Hg repository. I'll release this soon-ish.

All the best

Dominique
--
http://config-model.wiki.sourceforge.net/ -o- http://search.cpan.org/~ddumont/
http://www.ohloh.net/accounts/ddumont     -o- http://ddumont.wordpress.com/




Reply sent to Dominique Dumont <domi.dumont@free.fr>:
You have taken responsibility. (Thu, 07 Apr 2011 18:51:08 GMT) Full text and rfc822 format available.

Notification sent to Salvatore Bonaccorso <carnil@debian.org>:
Bug acknowledged by developer. (Thu, 07 Apr 2011 18:51:22 GMT) Full text and rfc822 format available.

Message #19 received at 616566-close@bugs.debian.org (full text, mbox):

From: Dominique Dumont <domi.dumont@free.fr>
To: 616566-close@bugs.debian.org
Subject: Bug#616566: fixed in libconfig-model-itself-perl 1.224-1
Date: Thu, 07 Apr 2011 17:32:08 +0000
Source: libconfig-model-itself-perl
Source-Version: 1.224-1

We believe that the bug you reported is fixed in the latest version of
libconfig-model-itself-perl, which is due to be installed in the Debian FTP archive:

libconfig-model-itself-perl_1.224-1.debian.tar.gz
  to main/libc/libconfig-model-itself-perl/libconfig-model-itself-perl_1.224-1.debian.tar.gz
libconfig-model-itself-perl_1.224-1.dsc
  to main/libc/libconfig-model-itself-perl/libconfig-model-itself-perl_1.224-1.dsc
libconfig-model-itself-perl_1.224-1_all.deb
  to main/libc/libconfig-model-itself-perl/libconfig-model-itself-perl_1.224-1_all.deb
libconfig-model-itself-perl_1.224.orig.tar.gz
  to main/libc/libconfig-model-itself-perl/libconfig-model-itself-perl_1.224.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 616566@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dominique Dumont <domi.dumont@free.fr> (supplier of updated libconfig-model-itself-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 07 Apr 2011 14:15:15 +0200
Source: libconfig-model-itself-perl
Binary: libconfig-model-itself-perl
Architecture: source all
Version: 1.224-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Dominique Dumont <domi.dumont@free.fr>
Description: 
 libconfig-model-itself-perl - graphical model editor for Config::Model
Closes: 616566
Changes: 
 libconfig-model-itself-perl (1.224-1) unstable; urgency=low
 .
   [ Dominique Dumont ]
   * New upstream release:
     - fixed tests wrt new Config::Model (Closes: #616566)
     - Class.pl: added copyright, author, license elements
     - dump and load annotations in pod doc in config class file
   * control:
     - Bumped libconfig-model-perl version 1.236 in depends
     - BDI: added libtest-differences-perl
 .
   [ gregor herrmann ]
   * Set Standards-Version to 3.9.2 (no changes).
   * Add a patch to fix a spelling mistake.
Checksums-Sha1: 
 f7da2cc787388a4f118361ab78b8ffe08c379485 2333 libconfig-model-itself-perl_1.224-1.dsc
 fc446584fd370bf751003c0cfd6d618d06507b7a 47465 libconfig-model-itself-perl_1.224.orig.tar.gz
 a4ff40534d58d1f18e8dfd65e0d1b9e2ead4c7f8 4446 libconfig-model-itself-perl_1.224-1.debian.tar.gz
 ebca56d4a3206f2d4707aded0b691180537629c4 64478 libconfig-model-itself-perl_1.224-1_all.deb
Checksums-Sha256: 
 f2b4f9781a84b88c03e2258cfcc9f66d9f9c472d58565b93974f8546249e92d5 2333 libconfig-model-itself-perl_1.224-1.dsc
 7dfbca9f277e28b970b0f0d8451cdcc35d54bb71e836d14f6d0286e392cea60a 47465 libconfig-model-itself-perl_1.224.orig.tar.gz
 e69ad0b0d0c62580ec94cede338b34ecd681657cc57b37fed6643d5fe31e17dd 4446 libconfig-model-itself-perl_1.224-1.debian.tar.gz
 c76486cd41482fa83e429675442f8c8a6a34086b136c403a66ba18568854d23c 64478 libconfig-model-itself-perl_1.224-1_all.deb
Files: 
 906d4a24fcc1d63990e30466fadc1a19 2333 perl optional libconfig-model-itself-perl_1.224-1.dsc
 ab8b6d884aa70216c92b3a109135c7c1 47465 perl optional libconfig-model-itself-perl_1.224.orig.tar.gz
 a70e0f3e3b3f743daaa49f7e4991d1ee 4446 perl optional libconfig-model-itself-perl_1.224-1.debian.tar.gz
 7f239c5b83173494632574f671f51e3c 64478 perl optional libconfig-model-itself-perl_1.224-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJNnfNxAAoJELs6aAGGSaoGYG0P+gJPGgEDxnc0w8BgHFfovbpI
jRRnF1JywjynNVpVJ2fcG2l8nsRPh/my/wDSEdk8FL8kIvK6WspeOdWD3gq4R3f0
6R7kO/AkKo1tV2+MKOEkV+DZofEdappVVJMk76mB37Oo3h1Sm5QS3Hg76Gfudp44
u60rbR/G8cmk4zu95iJ6EduORwgjpFp0sLFvZ9xjXANTM26/5tjrjo/+2EVEIF3I
lldoVcDgKXUigv/CzRyGPLoR6sadvfMrkMydKzLs8cUvaSCL7nkjKM7+0hiDk+66
K7EYziXMCtGJCfcJ4HV371UTXDwA0WwGYE2hmhK/oE+iQtt9JFC6DbY1Orx0fiwC
nh61apwj1zMc7qAWZoUnj80A43ZUQtgT/2W4+Btgbtzj942YKxXlb3BaRN1TZv1W
3AFvFbO7XHmkr3Rsaji9SIIBTUFnXNXMbJRYYgoitSWnZfnetAguoojAwTsHxq4k
LB5goywhOmG80b8L+IQRz2Zns+1bgG013QDYxun3hKXup1yyKlw47+TLyT7qdj9K
Ii8StB5m8PoN+ER/hIhkpq7TIFqQz+uAgLSP302nhRlzNoaKjxqhs0wWtknlqQea
2N/tR2AJZ7/behKkrSJDSnB1tdFjdzGCuizB9BruvwOa/Jrq6W1ci5Xb8XlaGl06
EfSHIiWXJWioVwpkjPg/
=vTx+
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 06 May 2011 07:35:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:18:15 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.